<?php
use CRM_Fromemailpermission_ExtensionUtil as E;

/**
 * Collection of upgrade steps.
 */
class CRM_Fromemailpermission_Upgrader extends CRM_Extension_Upgrader_Base {

  /**
   * Upgrade to 1.1.0:
   *  - Switch to multiple relationship-contact constraints
   *
   * @return TRUE on success
   * @throws Exception
   */
  public function upgrade_1100() {
    $dao = CRM_Core_DAO::executeQuery("SELECT * FROM `civicrm_fromemailpermission`;");
    while ($dao->fetch()) {
      $id = $dao->id;
      $config = unserialize($dao->config);
      $newConfig = $config;
      unset($newConfig['relationship_type_id']);
      unset($newConfig['contact_b_id']);
      $newConfig['relationship_type_id'] = [];
      $newConfig['contact_b_id'] = [];
      $newConfig['operator'] = [];

      if ($config['relationship_type_id'] && !empty($config['contact_b_id'])) {
        if (!is_array($config['relationship_type_id']) && !is_array($config['contact_b_id'])) {
          $newConfig['relationship_type_id'][1] = $config['relationship_type_id'];
          $newConfig['contact_b_id'][1] = $config['contact_b_id'];
          $newConfig['operator'][1] = "AND";
        }
      }
      $sql = "REPLACE INTO `civicrm_fromemailpermission` (`id`, `config`) VALUES ({$id}, '" . serialize($newConfig) . "')";
      CRM_Core_DAO::executeQuery($sql);
    }
    return TRUE;
  }

  public function install() {
    $this->executeSqlFile('sql/install.sql');
  }

  public function uninstall() {
    $this->executeSqlFile('sql/uninstall.sql');
  }

}
