# Email From Permission

This extension allows to define permissions on [From Email Addresses](https://docs.civicrm.org/user/en/latest/email/what-you-need-to-know/#from-email-addresses), based on CMS roles and relationship types.
In CiviCRM by default, there's no restrictions nor permissions for logged in users on which **From Email Addresses** are restricted to be used in Emails and CiviMailing, and in Organizations with ACLs in place, this could be a problem.

When creating/editing a **From Email Address** new options are available:
- Relationship Type + Contact B: If this fields are selected, only the users who have an Active Relationship (of the type selected) with the Contact B, will be able to see this address
- Roles: If any CMS role is selected (multiple selection available), only the users who have assigned this role, will be able to see this address.

These 2 filters are optional and can be combined as an **AND** operator if both are selected at the same time.

**IMPORTANT:**
- This Criteria is not applied for contacts who have the permissions `edit all contacts` or `view all contacts`, they are allowed to access any address
- **Default** FROM Email cannot be restricted due to internal CiviCRM Core implementation.

## Requirements

* PHP v8.1+
* CiviCRM 5.69+

## Installation

Follow any method of your choice to install it. More info [here](https://docs.civicrm.org/user/en/latest/introduction/extensions/#installing-extensions)

## Usage

1. Go to `Administer / CiviMail / From Email Addresses` and add or edit existing From Address
2. In the bottom part of the form you can define a Relationship Type + Contact and/or a CMS role, the logged in user must have to be able to use this address
3. Save!

## Support and Maintenance

This extension is supported and maintained by:

[![iXiam Global Solutions](images/ixiam-logo.png)](https://www.ixiam.com)

The extension is licensed under [AGPL-3.0](LICENSE.txt).
